Subject: bug#17589: 24.3.91; lisp/frameset.el

From: Arash Cue <[email-masked]>
Date: Wed, 28 May 2014 00:16:12 +0000

i applied these changes and it somehow fixed the issue but now i can't
restore my frame configurations after saving and reading the session
`desktop-save', `desktop-read'.

On Tue, May 27, 2014 at 10:34 PM, Juanma Barranquero <[email-masked]>wrote:

> On Tue, May 27, 2014 at 7:14 PM, martin rudalics <[email-masked]> wrote:
>
> > Probably `frameset-save' could use a WRITABLE argument too (passing it
> > on to `window-state-get') and `frameset-to-register' would call
> > `frameset-save' with WRITABLE nil.
>
> Yep, that's the only way I see to solve this. That, or some horrible
> hack in frameset-to-register which I don't even want to start thinking
> about.
>
> Arash, could you please try with Martin's proposed change to window.el
> plus the attached patch to frameset.el?
>
> TIA,
>
>     J
>